Bug 34919 - Customer never prompted for type of CC
Customer never prompted for type of CC
Product: Red Hat Web Site
Classification: Red Hat
Component: New Store (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cameron Prince
Depends On:
  Show dependency treegraph
Reported: 2001-04-05 16:09 EDT by Jay Turner
Modified: 2015-01-07 18:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-03 20:53:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2001-04-05 16:09:09 EDT
The Customer is not prompted for the type of CC that they will be using. 
Are we just assuming this from the numbers that get entered or what?  In
addition, we never state what CCs are taken at Red Hat, so the user does
not know what cards they can use.
Comment 1 Jason Kohles 2001-04-23 13:19:07 EDT

The card type is deduced from the number, but I have added a card type popup on
the form anyway, to let people know what types of cards they can use.
Comment 2 Jay Turner 2001-05-01 10:43:01 EDT
We now have a drop-down list where the user can select the type of credit card,
but that selection means nothing.  I just placed an order on
http://webdevel.redhat.com stating that the card was a Visa and providing a
Mastercard number . . . order went through.
Comment 3 Cameron Prince 2001-05-01 11:43:36 EDT
This is field is completely un-needed. We auto detect the card type based on 
the number. Why make them select instead of just saying we take these types of 
Comment 4 Jay Turner 2001-05-01 11:51:09 EDT
OK, it appears that I have lost this battle.  Remove the list from the site.
Comment 5 Jay Turner 2001-05-01 16:18:09 EDT
Drop-down list needs to be removed from webdevel.
Comment 6 Cameron Prince 2001-05-03 20:53:45 EDT
Select box removed.
Comment 7 Jay Turner 2001-05-04 07:13:24 EDT
This is fixed and showing up on bmantest.meridian.  Closing out this bug.

Note You need to log in before you can comment on or make changes to this bug.